.rithm-messengers-container {
	position: fixed;
	bottom: 20px;
	right: 20px;
	z-index: 9999;
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	justify-content: flex-end;
}

.rithm-messengers-toggle {
	width: 60px;
	height: 60px;
	border-radius: 50%;
	background-color: var(--primary-4, #38a9ff);
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
	box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
	transition: transform 0.3s, background-color 0.3s;
	position: relative;
	z-index: 2;
}

.rithm-messengers-items,
.rithm-messengers-toggle-close,
.rithm-messengers-toggle-icon {
	transition: opacity 0.3s, transform 0.3s;
	display: flex;
}

.rithm-messengers-toggle:hover {
	transform: scale(1.05);
	background-color: var(--primary-5, #2196f3);
}

.rithm-messenger-icon svg,
.rithm-messengers-toggle svg {
	width: 30px;
	height: 30px;
	fill: #fff;
}

.rithm-messengers-toggle-icon {
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;
}

.rithm-messengers-toggle-close {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	justify-content: center;
	align-items: center;
	opacity: 0;
	transform: rotate(-180deg);
}

.rithm-messengers-container.active .rithm-messengers-toggle-icon {
	opacity: 0;
	transform: rotate(180deg);
}

.rithm-messengers-container.active .rithm-messengers-toggle-close {
	opacity: 1;
	transform: rotate(0);
}

.rithm-messengers-items {
	flex-direction: column;
	gap: 10px;
	opacity: 0;
	transform: translateY(20px);
	pointer-events: none;
	position: absolute;
	bottom: 70px;
	right: 0;
}

.rithm-messengers-container.active .rithm-messengers-items {
	opacity: 1;
	transform: translateY(-10px);
	pointer-events: auto;
}

.rithm-messenger-item {
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	transition: transform 0.3s;
}

.rithm-messenger-item:hover {
	transform: scale(1.1);
}

.rithm-messenger-icon {
	width: 60px;
	height: 60px;
	display: flex;
	justify-content: center;
	align-items: center;
	overflow: hidden;
	border-radius: 50%;
	box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.rithm-messenger-whatsapp {
	background-color: #25d366;
}

.rithm-messenger-telegram {
	background-color: #08c;
}

.rithm-messenger-facebook {
	background-color: #3b5998;
}

.rithm-messenger-linkedin {
	background-color: #0077b5;
}

.rithm-messenger-email {
	background-color: #ea4335;
}

.rithm-messenger-tooltip {
	position: absolute;
	right: 100%;
	margin-right: 10px;
	top: 50%;
	transform: translateY(-50%);
	background-color: #fff;
	color: #000;
	padding: 7px 12px;
	border-radius: 4px;
	font-size: 16px;
	opacity: 0;
	visibility: hidden;
	transition: opacity 0.3s, visibility 0.3s;
	white-space: nowrap;
	pointer-events: none;
	box-shadow: rgba(0, 0, 0, 0.16) 0 10px 36px 0, rgba(0, 0, 0, 0.06) 0 0 0 1px;
	z-index: 10;
}

.rithm-messenger-tooltip::after {
	content: "";
	position: absolute;
	top: 50%;
	right: -6px;
	margin-top: -6px;
	border-width: 6px 0 6px 6px;
	border-style: solid;
	border-color: transparent transparent transparent #fff;
}

.rithm-messenger-item:hover .rithm-messenger-tooltip {
	opacity: 1;
	visibility: visible;
}
